Package org.drinkless.tdlib

# Class TdApi.GetSupergroupMembers

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.ChatMembers>
org.drinkless.tdlib.TdApi.GetSupergroupMembers

Enclosing class:
  `TdApi`

public static class TdApi.GetSupergroupMembers extends TdApi.Function<TdApi.ChatMembers>
Returns information about members or banned users in a supergroup or channel. Can be used only if supergroupFullInfo.canGetMembers == true; additionally, administrator privileges may be required for some filters.

Returns `ChatMembers`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.SupergroupMembersFilter`
  `filter`
  The type of users to return; pass null to use supergroupMembersFilterRecent.
  `int`
  `limit`
  The maximum number of users to be returned; up to 200.
  `int`
  `offset`
  Number of users to skip.
  `long`
  `supergroupId`
  Identifier of the supergroup or channel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetSupergroupMembers()`
  Default constructor for a function, which returns information about members or banned users in a supergroup or channel.
  `GetSupergroupMembers(long supergroupId, TdApi.SupergroupMembersFilter filter, int offset, int limit)`
  Creates a function, which returns information about members or banned users in a supergroup or channel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### supergroupId

    public long supergroupId
    Identifier of the supergroup or channel.

  - ### filter

    public TdApi.SupergroupMembersFilter filter
    The type of users to return; pass null to use supergroupMembersFilterRecent.

  - ### offset

    public int offset
    Number of users to skip.

  - ### limit

    public int limit
    The maximum number of users to be returned; up to 200.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetSupergroupMembers

    public GetSupergroupMembers()
    Default constructor for a function, which returns information about members or banned users in a supergroup or channel. Can be used only if supergroupFullInfo.canGetMembers == true; additionally, administrator privileges may be required for some filters.

    Returns `ChatMembers`

  - ### GetSupergroupMembers

    public GetSupergroupMembers(long supergroupId, TdApi.SupergroupMembersFilter filter, int offset, int limit)
    Creates a function, which returns information about members or banned users in a supergroup or channel. Can be used only if supergroupFullInfo.canGetMembers == true; additionally, administrator privileges may be required for some filters.

    Returns `ChatMembers`

    Parameters:
      `supergroupId` - Identifier of the supergroup or channel.
      `filter` - The type of users to return; pass null to use supergroupMembersFilterRecent.
      `offset` - Number of users to skip.
      `limit` - The maximum number of users to be returned; up to 200.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.ChatMembers>`
    Returns:
      this.CONSTRUCTOR